curl --request POST \
--url https://production.deepvue.tech/v1/documents/extraction/ind_bank_cheque \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"document1": "<string>"
}
'import requests
url = "https://production.deepvue.tech/v1/documents/extraction/ind_bank_cheque"
payload = { "document1": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({document1: '<string>'})
};
fetch('https://production.deepvue.tech/v1/documents/extraction/ind_bank_cheque', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/documents/extraction/ind_bank_cheque",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'document1' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/documents/extraction/ind_bank_cheque"
payload := strings.NewReader("{\n \"document1\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v1/documents/extraction/ind_bank_cheque")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"document1\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/documents/extraction/ind_bank_cheque")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"document1\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"code": 200,
"transaction_id": "string",
"message": "Document processed successfuly",
"data": {
"account_name": "string",
"account_no": "string",
"bank_address": "string",
"bank_name": "string",
"date_of_issue": "string",
"ifsc_code": "string",
"is_scanned": true,
"micr_cheque_number": "string",
"micr_code": "string"
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"transaction_id": "string",
"code": 422,
"message": "Empty document. Valid base64 required."
}{
"detail": "Internal Server Error"
}Bank Cheque
Manually typing in or verifying bank details like the account number, IFSC and account holder name is slow and cumbersome.
Deepvue.tech’s Bank Cheque OCR API lets you do it in a blink of an eye and enables your Operations with instant Bank Cheque OCR.
With Bank Cheque OCR API, you can digitize an image of a bank cheque in no time.
Base64 encoded string of the document needs to be passed in request payload.
curl --request POST \
--url https://production.deepvue.tech/v1/documents/extraction/ind_bank_cheque \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"document1": "<string>"
}
'import requests
url = "https://production.deepvue.tech/v1/documents/extraction/ind_bank_cheque"
payload = { "document1": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({document1: '<string>'})
};
fetch('https://production.deepvue.tech/v1/documents/extraction/ind_bank_cheque', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/documents/extraction/ind_bank_cheque",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'document1' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/documents/extraction/ind_bank_cheque"
payload := strings.NewReader("{\n \"document1\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v1/documents/extraction/ind_bank_cheque")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"document1\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/documents/extraction/ind_bank_cheque")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"document1\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"code": 200,
"transaction_id": "string",
"message": "Document processed successfuly",
"data": {
"account_name": "string",
"account_no": "string",
"bank_address": "string",
"bank_name": "string",
"date_of_issue": "string",
"ifsc_code": "string",
"is_scanned": true,
"micr_cheque_number": "string",
"micr_code": "string"
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"transaction_id": "string",
"code": 422,
"message": "Empty document. Valid base64 required."
}{
"detail": "Internal Server Error"
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Body
This body parameter should contain the document (such as an image of a bank cheque) that needs to be processed and extracted by the API. The content of the document should be in a format that the API can interpret.